Installer - Bug #31051

katello-certs-check don't validate if there is a SAN that matches the Subject CN in custom certificates
10/12/2020 04:05 PM - Joniel Pasqualetto

Status: Closed
Priority: Normal
Assignee: William Clark
Category: foreman-installer script
Target version: 2.3.0
Difficulty: Fixed in Releases: 2.3.0
Triaged: Yes Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman-i
nstaller/pull/590,
https://github.com/theforeman/foreman-i
nstaller/pull/606

Description
Description of problem:

katello-certs-check validates if a custom certificate contains at least a Subject Alt Name, but it never cross check if this SAN matches
the Subject CN of the provided certificate.

This can be misleading in a few cases. Here's a few | already saw happen:

1. SAN not containing the Subject CN at all (only other aliases)
2. A typo in the SAN

Both cases will pass the katello-cert-check validation but will fail to deploy.
Version-Release number of selected component (if applicable):

How reproducible: Always

Steps to Reproduce:

1. Create a certificate with a typo in the SAN

2. Run katello-certs-check to verify it

3. Try deploying that cert on Satellite and it will fail

Actual results:
Validation with katello-certs-check passes without error or warning, but satellite-installer will fail to run with such certificate.

Expected results:
Validation should point out an issue with the certificate.

Associated revisions

Revision e53e71c3 - 10/30/2020 05:23 PM - Joniel Pasqualetto
Fixes #31051 - Add verification to check if SAN entries match Subject CN on certificate

Change warning to error for certifcates that don't have a CN.
Change the way of comparing string variables.

Revision 0cfa263c - 10/30/2020 05:46 PM - William Clark

Refs #31051 - Remove Warning method from katello-certs-check

The last use of this method was removed in e53e71

History

#1 - 10/12/2020 04:08 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman-installer/pull/590 added

#2 - 10/30/2020 05:23 PM - The Foreman Bot
- Fixed in Releases 2.3.0 added

#3 - 10/30/2020 05:30 PM - The Foreman Bot
- Assignee set to William Clark

- Pull request https://github.com/theforeman/foreman-installer/pull/606 added

#4 - 10/30/2020 06:01 PM - Joniel Pasqualetto
- Status changed from Ready For Testing to Closed

Applied in changeset installer|e53e71c3dabb3b7a68292fddab6ddf0e7fa4398a.

#5 - 11/30/2020 05:54 PM - Ewoud Kohl van Wijngaarden
- Category set to foreman-installer script
- Target version set to 2.3.0

- Triaged changed from No to Yes
